Sales Order Shipment
The sales order shipment resource.
/salesOrderShipmentList sales order shipments
Retrieve a paginated list of sales order shipments. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
curl --request GET \
--url 'https://rest.carbon.ms/salesOrderShipment?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'[
{
"id": "abc123def456",
"dropShipment": true,
"companyId": "xyz789",
"locationId": "xyz789",
"shippingMethodId": "xyz789",
"shippingTermId": "xyz789",
"receiptRequestedDate": "2026-01-01",
"receiptPromisedDate": "2026-01-01"
}
]/salesOrderShipmentRetrieve a sales order shipment
Fetch a single sales order shipment by filtering on `id`.
Query parameters
idstringMatch on the sales order shipment's `id`, e.g. `eq.{id}`.
curl --request GET \
--url 'https://rest.carbon.ms/salesOrderShipment?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'{
"id": "abc123def456",
"dropShipment": true,
"companyId": "xyz789",
"locationId": "xyz789",
"shippingMethodId": "xyz789",
"shippingTermId": "xyz789",
"receiptRequestedDate": "2026-01-01",
"receiptPromisedDate": "2026-01-01"
}/salesOrderShipmentCreate a sales order shipment
Create a new sales order shipment.
Body parameters
locationIdstringReferences location.id
shippingMethodIdstringReferences shippingMethod.id
shippingTermIdstringReferences shippingTerm.id
receiptRequestedDatedatereceiptPromisedDatedatedeliveryDatedatenotesstringtrackingNumberstringdropShipmentbooleanrequiredcustomerIdstringReferences customer.id
customerLocationIdstringReferences customerLocation.id
supplierIdstringsupplierLocationIdstringcompanyIdstringrequiredReferences company.id
customFieldsobjectassigneestringReferences user.id
shippingCostnumberincotermstringincotermLocationstringcurl --request POST \
--url https://rest.carbon.ms/salesOrderShipment \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"dropShipment":true,"companyId":"xyz789"}'{
"id": "abc123def456",
"dropShipment": true,
"companyId": "xyz789",
"locationId": "xyz789",
"shippingMethodId": "xyz789",
"shippingTermId": "xyz789",
"receiptRequestedDate": "2026-01-01",
"receiptPromisedDate": "2026-01-01"
}/salesOrderShipmentUpdate a sales order shipment
Update an existing sales order shipment, matched on `id`.
Body parameters
locationIdstringReferences location.id
shippingMethodIdstringReferences shippingMethod.id
shippingTermIdstringReferences shippingTerm.id
receiptRequestedDatedatereceiptPromisedDatedatedeliveryDatedatenotesstringtrackingNumberstringdropShipmentbooleanrequiredcustomerIdstringReferences customer.id
customerLocationIdstringReferences customerLocation.id
supplierIdstringsupplierLocationIdstringcompanyIdstringrequiredReferences company.id
customFieldsobjectassigneestringReferences user.id
shippingCostnumberincotermstringincotermLocationstringcurl --request PATCH \
--url 'https://rest.carbon.ms/salesOrderShipment?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"locationId":"xyz789"}'{
"id": "abc123def456",
"dropShipment": true,
"companyId": "xyz789",
"locationId": "xyz789",
"shippingMethodId": "xyz789",
"shippingTermId": "xyz789",
"receiptRequestedDate": "2026-01-01",
"receiptPromisedDate": "2026-01-01"
}/salesOrderShipmentDelete a sales order shipment
Delete a sales order shipment, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the sales order shipment to delete, e.g. `eq.{id}`.
curl --request DELETE \
--url 'https://rest.carbon.ms/salesOrderShipment?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'